aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGunnar Morling <gunnar.morling@googlemail.com>2024-01-02 19:35:54 +0100
committerGunnar Morling <gunnar.morling@googlemail.com>2024-01-02 19:36:58 +0100
commit0fa7f1ea650796d4902a4a8707a566bbcc0aa602 (patch)
treeb18cde21b8def86f45dc633f273ef1c091a4396b
parenta6c0f50ab93f356159277ddc4cb6038b990d91b6 (diff)
Updating evaluation scripts
-rwxr-xr-xevaluate.sh9
-rwxr-xr-xprepare_evaluation.sh28
2 files changed, 36 insertions, 1 deletions
diff --git a/evaluate.sh b/evaluate.sh
index 78b4183..7c8aa82 100755
--- a/evaluate.sh
+++ b/evaluate.sh
@@ -15,8 +15,15 @@
# limitations under the License.
#
+if [ -z "$1" ]
+ then
+ echo "Usage: evaluate.sh <fork name>"
+ exit 1
+fi
+
+mvn clean verify
for i in {1..5}
do
- time ./calculate_average.sh
+ time ./calculate_average_$1.sh
done
diff --git a/prepare_evaluation.sh b/prepare_evaluation.sh
new file mode 100755
index 0000000..250279f
--- /dev/null
+++ b/prepare_evaluation.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Copyright 2023 The original authors
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+if [ -z "$1" ]
+ then
+ echo "Usage: prepare_evaluation.sh <fork name>"
+ exit 1
+fi
+
+
+git checkout -b $1
+
+git pull https://github.com/$1/1brc.git
+# git pull git@github.com:$1/1brc.git